################################################################
# Configures the root logger: log level INFO, two appenders
################################################################
log4j.rootLogger=TRACE, console, file
################################################################
# Defines logging levels for different loggers
# TODO Comment this section in production  
################################################################
################################################################
# Console appender
################################################################
log4j.appender.console=org.apache.log4j.ConsoleAppender
# Layout 
log4j.appender.console.layout=org.apache.log4j.EnhancedPatternLayout
# Pattern 
# messages will look lie -->
#	[DEBUG]             ContextListener(contextInitialized): 28 - Set application attribute ...
log4j.appender.console.layout.ConversionPattern=[%5p] %14c{1}(%M):%3L - %m%n
################################################################
# File appender
################################################################
log4j.appender.file=org.apache.log4j.DailyRollingFileAppender
log4j.appender.file.DatePattern='.'yyyy-MM-dd'.txt'
log4j.appender.file.File=${catalina.home}/logs/ISP.log
# Layout 
log4j.appender.file.layout=org.apache.log4j.PatternLayout
# Pattern
log4j.appender.file.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm} [%5p] %25c{1}:%6L - %m%n